:root {
  --ss-primary-color: var(--bs-primary);
  --ss-bg-color: var(--bs-body-bg);
  --ss-font-color: var(--bs-body-color);
  --ss-border-color: var(--bs-border-color);
  --bs-border-radius: var(--bs-border-radius-sm);
}

header .navbar {
    --bs-navbar-padding-y: 0;
}

header .navbar .nav-link {
    padding: 0.7em 0.8em !important;
    border-bottom: 0.15em solid transparent;
}

header .navbar .nav-link:hover {
    border-bottom-color: #555;
}

header .navbar .nav-link.active {
    border-bottom-color: #888;
}

header .navbar-brand {
    font-size: 1.2rem;
}

form {
    max-width: 500px;
}

section > *:last-child {
    margin-bottom: 0;
}

#toc + .col-md-9 section[id^="faq-"] {
    scroll-margin-top: 5rem;
}

.form-check {
    width: fit-content;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}


.form-check .form-check-input {
    margin-top: 0;
}

.modal {
    --bs-modal-padding: 1.5rem;
}


.accordion {
    --bs-accordion-active-color: inherit;
}

.accordion-hide-icon .accordion-button::after {
    --bs-accordion-btn-icon: none !important;
    --bs-accordion-btn-active-icon: none !important;
}

.accordion-danger  {
    --bs-accordion-btn-bg: var(--bs-danger-border-subtle);
    --bs-accordion-active-bg: var(--bs-danger-border-subtle);
    --bs-accordion-bg: var(--bs-gray-800); 
    --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, .5);
}

.btn-steam {
    background-color: var(--bs-gray-800);
}

.btn-steam:hover {
    background-color: var(--bs-gray-700);
}

.nav-tabs {
    border: none;
}

.nav-tabs .nav-link {
    background-clip: padding-box;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: 0% 0px;
    transition: background 0.3s ease-out;
    border: none;
}

.nav-tabs .nav-link.active {
    background-size: 100% 2px;
    background-image: radial-gradient(#ffac00, transparent) !important;
}

.form-label.bi::before {
    position: absolute;
    width: 24px;
    height: 24px;
    margin-top: 41px;
    margin-left: 10px;
    font-size: 20px;
}

.form-label.bi + input {
    padding-left: 40px;
}

.form-row {
    margin-bottom: 1rem;
}

.form-select {
    background-image: none;
}

.dropdown-btn .dropdown-menu {
    border-radius: 0;
    /* margin-top: -2px; */
}

.dropdown-btn .btn:has(+ .dropdown-menu.show) {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.pagination {
    --bs-pagination-padding-y: 0.75rem;
    --bs-pagination-padding-x: 1.25rem;
    --bs-pagination-font-size: 1rem;
    --bs-pagination-color: var(--bs-secondary-color);
    --bs-pagination-bg: var(--bs-body-bg);
    --bs-pagination-border-width: 0;
    --bs-pagination-border-radius: 2px;
    --bs-pagination-hover-color: var(--bs-body-color);
    --bs-pagination-hover-bg: var(--bs-tertiary-bg);
    --bs-pagination-hover-border-color: none;
    --bs-pagination-focus-color: var(--bs-body-color);
    --bs-pagination-focus-bg: var(--bs-secondary-bg);
    --bs-pagination-focus-box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    --bs-pagination-active-border-color: none;
    --bs-pagination-disabled-color: var(--bs-gray-700);
    --bs-pagination-disabled-bg: var(--bs-body-bg);
    box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(3px);
    width: fit-content;
}
.page-link {
    transition: background-color .15s ease-in-out,box-shadow .15s ease-in-out;
    margin-left: 0 !important;
}

.list-group {
    --bs-list-group-border-radius: 2px;
    box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(3px);
    width: fit-content;
}

.list-group-item {
    border: none;
}

.ss-content {
    border-radius: 0;
    padding: 0px;
}

.leaderboard-table .rank::before {
    content: '';
    display: inline;
    padding: 12px;
    margin-right: 8px;
    mask: url(/images/icons/legend.png) no-repeat left center;
    background: #EFBF04;
}

.narrow-container {
    max-width: 24rem;
    margin: auto;
}

.stretch-btn .btn {
    width: 100%;
}

.flash .alert {
    min-height: 5rem;
}

.flash-message {
    margin-left: 1rem;
}

.flash .bi {
    width: 2rem;
    height: 2rem;
    margin-left: -2rem;
    background-color: var(--bs-alert-bg);
    border: 1px solid var(--bs-alert-border-color);
    border-radius: 50%;
}

.modal {
    --bs-modal-border-radius: var(--bs-border-radius);
}

.tooltip {
    --bs-tooltip-bg: var(--bs-secondary-bg);
    --bs-tooltip-color: var(--bs-body-color);
    --bs-tooltip-border-color: var(--bs-border-color);
    --bs-tooltip-border-radius: 2px;
}

ss-main.form-select.is-invalid {
    padding-right: .75rem;
}